Last Comment Bug 399450 - When editing topic edit mode is left on any loss of focus
: When editing topic edit mode is left on any loss of focus
Status: RESOLVED FIXED
[cz-0.9.83]
:
Product: Other Applications
Classification: Client Software
Component: ChatZilla (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: :Gijs Kruitbosch (away 26-29 incl.)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 07:29 PDT by Spikor
Modified: 2008-06-17 14:52 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Add cancel button, be less happy to cancel edit (5.65 KB, patch)
2008-06-02 10:05 PDT, :Gijs Kruitbosch (away 26-29 incl.)
bugzilla-mozilla-20000923: review+
Details | Diff | Splinter Review

Description Spikor 2007-10-11 07:29:20 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.7) Gecko/20070914 Firefox/2.0.0.7
Build Identifier: ChatZilla 0.9.78.1 [Firefox 2.0.0.7/2007091417]

When I want to edit the topic of a channel, any click outside the editing line results in a loss of what i edited before / loss of focus..
Its prolly intended t prevent one from accidently editing.
Maybe protect the edit with  confirmation box instead.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 :Gijs Kruitbosch (away 26-29 incl.) 2007-11-11 08:13:04 PST
I think a confirmation box would be really annoying. If you mistakenly click in the topic as an op, it should be easy to "undo" that operation. Unless there is a better proposal for alternative UI I'm very tempted to WONTFIX this.
Comment 2 James Ross 2007-11-27 15:13:17 PST
A modal dialog or anything else which affects focus is out, as we'd have to start playing complicated games with tracking focus and why it left the textbox and such.

A possible compromise: on loss of focus, leave edit mode only if no changes have been made to the text. If you've edited it, you need to press Esc with the topic textbox focused to cancel it. Something like that might work, but the discoverability of Esc is low, so needs work.
Comment 3 :Gijs Kruitbosch (away 26-29 incl.) 2008-01-07 05:01:03 PST
We could have a Cancel button next to it?
Comment 4 :Gijs Kruitbosch (away 26-29 incl.) 2008-06-02 10:05:18 PDT
Created attachment 323395 [details] [diff] [review]
Add cancel button, be less happy to cancel edit

The only thing I'm not really happy with is that the cancel button still wraps at smaller window sizes, but I don't see a straightforwards CSS way to fix that.
Comment 5 James Ross 2008-06-17 14:27:00 PDT
Comment on attachment 323395 [details] [diff] [review]
Add cancel button, be less happy to cancel edit

That 90% needs to die a horrible death at some point, but r=silver for 0.9.83.
Comment 6 :Gijs Kruitbosch (away 26-29 incl.) 2008-06-17 14:52:36 PDT
Checking in mozilla/extensions/irc/locales/en-US/chrome/chatzilla.properties;
/cvsroot/mozilla/extensions/irc/locales/en-US/chrome/chatzilla.properties,v  <--  chatzilla.properties
new revision: 1.160; previous revision: 1.159
done
Checking in mozilla/extensions/irc/xul/content/output-window.html;
/cvsroot/mozilla/extensions/irc/xul/content/output-window.html,v  <--  output-window.html
new revision: 1.12; previous revision: 1.11
done
Checking in mozilla/extensions/irc/xul/content/output-window.js;
/cvsroot/mozilla/extensions/irc/xul/content/output-window.js,v  <--  output-window.js
new revision: 1.22; previous revision: 1.21
done

Note You need to log in before you can comment on or make changes to this bug.